<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Revopos.Server.Domain</name>
    </assembly>
    <members>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceComboItemizedEntity.combo_item_id">
            <summary>
            Combo item primary id
            套餐产品主键
            </summary>
            <example>10836</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceComboItemizedEntity.remark">
            <summary>
            Invoice line combo itemized remark
            交易行套餐个例备注
            </summary>
            <example>invoice line combo itemized remark here</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceComboItemizedEntity.combo_actual_price">
            <summary>
            actual price
            实际价钱
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.id">
            <summary>
            Primary id
            主键值
            </summary>
            <example>028</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.ref_id">
            <summary>
            Invoice number
            发票单号
            </summary>
            <example>001220215108</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.waiting_no">
            <summary>
            Waiting number (It is shown on kitchen slip)
            等餐号 (会显示在厨房小票上)
            </summary>
            <example>028</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.call_num">
            <summary>
            Calling number (this number is generated by Wyo System)
            取单号 (此号码由WYO订单系统发送)
            </summary>
            <example>028</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.table_id">
            <summary>
            Table id
            桌位号主键值
            </summary>
            <example>17</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.type">
            <summary>
            Invoice Type (1:Dine In | 2:Pickup | 3:Delivery)
            订单类型 (1:堂食 | 2:打包 | 3:配送)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.pax">
            <summary>
            The total count of dining pax for a invoice
            订单总就餐人数
            </summary>
            <example>4</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.adult_pax">
            <summary>
            The total count of adult pax when pax_detail is enabled
            订单总成人人数,当pax_detail设置启用时使用
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.child_pax">
            <summary>
            The total count of child pax when pax_detail is enabled
            订单总儿童人数,当pax_detail设置启用时使用
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.baby_pax">
            <summary>
            the total count of baby pax when pax_detail is enabled
            订单总婴儿人数,当pax_detail设置启用时使用
            </summary>
            <example>0</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.subtotal">
            <summary>
            Invoice subtotal (total for ordered items only, not including taxes,service charge, bill discounts and etc)
            订单小计 (只包括订单总价,不包括税,服务费,总单折扣等)
            </summary>
            <example>86.53</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.subtotal_point">
            <summary>
            Invoice point subtotal (selection of customer is required)
            订单总消费积分
            </summary>
            <example>86</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.subtotal_without_takeout">
            <summary>
            Invoice subtotal without takeaway items total
            订单小计,不包括订单里打包产品
            </summary>
            <example>86</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.subtotal_applicable_service_charge">
            <summary>
            Invoice subtotal liable for service charge
            需要计算服务费的订单小计额度
            </summary>
            <example>86</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.service_charge">
            <summary>
            Service Charge Amount (default is 10%)
            服务费总额 (默认为10%)
            </summary>
            <example>8.6</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.delivery_id">
            <summary>
            Delivery id for online delivery service
            线上外卖系统配送订单主键
            </summary>
            <example>1225853</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.delivery_charge">
            <summary>
            Delivery charge amount for online delivery service
            线上外卖系统配送费
            </summary>
            <example>14</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.delivery_type">
            <summary>
            Delivery Type
            配送类型
            </summary>
            <example>14</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.delivery_by">
            <summary>
            Delivery 3rd Party Service name
            第三方配送服务商名
            </summary>
            <example>LaLamove</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.use_customer_package">
            <summary>
            If there is any purchased package redeemed
            订单是否有预买产品兑换
            </summary>
            <example>true</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deduction_package">
            <summary>
            The amount offset by package redemption
            预买产品兑换总额
            </summary>
            <example>32.5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.use_customer_balance">
            <summary>
            if there is any balance redeemed in the bill
            订单是否有储值兑换
            </summary>
            <example>true</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deduction_balance">
            <summary>
            The amount offset by balance
            储值兑换总额
            </summary>
            <example>38</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.use_voucher">
            <summary>
            If there is any voucher redeemed
            订单是否有代金卷兑换
            </summary>
            <example>true</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deduction_voucher">
            <summary>
            The amount offset by voucher
            代金卷兑换总额
            </summary>
            <example>25.2</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.use_coupon">
            <summary>
            If there is any coupon redeemed
            订单是否有优惠卷兑换
            </summary>
            <example>true</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deduction_coupon">
            <summary>
            The amount offset by coupon
            优惠卷兑换总额
            </summary>
            <example>20</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deduction_point">
            <summary>
            total deducted point
            总扣除积分数
            </summary>
            <example>20</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.addition_balance">
            <summary>
            The amount of balance will be added to customer amount
            加到客户账户的储值额度
            </summary>
            <example>10.50</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.deposit">
            <summary>
            The amount of deposit in the invoice
            订单押金
            </summary>
            <example>20</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.discount">
            <summary>
            The percentage amount if it is by percentage
            折扣百分比
            </summary>
            <example>20</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.discount_type">
            <summary>
            Discount type (1: flat discount | 2： percentage discount)
            折扣类型 (1:直减 | 2：百分比折扣)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.discount_amount">
            <summary>
            Total discount amount in this invoice
            订单打折总额度
            </summary>
            <example>20</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.tax">
            <summary>
            Total tax amount
            税总额
            </summary>
            <example>15.7</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.rounding">
            <summary>
            Total rounding amount
            抹零总额
            </summary>
            <example>0.04</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.tip">
            <summary>
            Total tip amount
            小费总计
            </summary>
            <example>10</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.grand_total">
            <summary>
            Grand total amount
            应付金额
            </summary>
            <example>100.5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.customer_id">
            <summary>
            Customer primary id
            客户账户主键
            </summary>
            <example>10836</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.voucher_id">
            <summary>
            Voucher primary id
            代金卷主键
            </summary>
            <example>10836</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.remark">
            <summary>
            Invoice Remark
            订单备注
            </summary>
            <example>This is remark on invoice level</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.sales_user_id">
            <summary>
            Sales User Id
            销售雇员主键
            </summary>
            <example>18</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.status">
            <summary>
            Invoice Status (0:Open | 1:OnHold | 2:Payment |3:Closed |4:Voided)
            销售雇员主键 (0:开单 | 1:挂单 | 2:付款中 |3:已支付 |4:已撤销)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.datetime_open">
            <summary>
            Invoice open date time
            订单开单时间
            </summary>
            <example>2022-02-15 22:15:23</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.datetime_close">
            <summary>
            Invoice open date time
            订单结账时间
            </summary>
            <example>2022-02-15 22:10:19</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.order_id">
            <summary>
            order id from wyo system
            WYO系统的订单主键
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.to_address">
            <summary>
            Delivery address from wyo order server
            WYO系统配送地址
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.payment_source_method">
            <summary>
            Four capitalized letter when it is processed by online payment
            4位大写字母支付方式代码，当支付方式为线上支付时使用
            </summary>
            <example>DICL for Diners Club</example>
            <example>MAST for MasterCard</example>
        </member>
        <!-- Badly formed XML comment ignored for member "P:Revopos.Server.Domain.Entities.InvoiceEntity.payment_source_last4" -->
        <!-- Badly formed XML comment ignored for member "P:Revopos.Server.Domain.Entities.InvoiceEntity.payment_source_charge_ref" -->
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.invoice_timestamp">
            <summary>
            timestamp (internal use)
            时间戳 (内部使用)
            </summary>
            <example>1644934219086</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.tag_id">
            <summary>
            Tag primary id (Internal use)
            标签主键 (内部使用)
            </summary>
            <example>5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.rule_id">
            <summary>
            Rule primary id (internal use)
            规则主键 (内部使用)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.rewarded_credit">
            <summary>
            rewarded credit (internal use)
            订单奖励返现 (内部使用)
            </summary>
            <example>20.50</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.rewarded_point">
            <summary>
            rewarded point (internal use)
            订单奖励积分 (内部使用)
            </summary>
            <example>850</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.is_sales_exclusive">
            <summary>
            is this invoice sales exclusive
            是否不包含在销售报表
            </summary>
            <example>false</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceEntity.etc">
            <summary>
            Extra information about invoice, such as void information, invoice cloned information
            </summary>
        </member>
        <member name="T:Revopos.Server.Domain.Entities.Etc">
            <summary>
            Extra information about invoice
            </summary>
        </member>
        <member name="M:Revopos.Server.Domain.Entities.Etc.ShallowCopy">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.void_reasons">
            <summary>
            Reasons for voiding the invoice
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.voided_at">
            <summary>
            Date and time the invoice is being voided
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.voided_by">
            <summary>
            The user who voided the invoice
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.is_parent">
            <summary>
            If true, another invoice is cloned from this invoice
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.child_invoice_id">
            <summary>
            if is_parent is true,this invoice is a parent invoice from which a child invoice is cloned,
            then there will be a child invoice id
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.is_child">
            <summary>
            If true, another invoice is cloned from this invoice
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.Etc.parent_invoice_id">
            <summary>
            if is_child is true, this invoice is child invoice cloned from a parent invoice
            then there will be a parent invoice id
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.customer_id">
            <summary>
            Customer primary id
            客户账户主键
            </summary>
            <example>10836</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.actual_price">
            <summary>
            actual price
            实际价钱
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.actual_price_point">
            <summary>
            actual point price
            实际消费积分
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.actual_price_before_discount">
            <summary>
            Invoice itemized subtotal before discount
            未打折交易行个例小计总额
            </summary>
            <example>30.80</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.unit_price">
            <summary>
            Unit price
            单价
            </summary>
            <example>30.80</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.discount_calc_type">
            <summary>
            Discount calculation type (1:flat | 2:percentage)
            打折计算类型 (1:直减 | 2:百分比)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.discount_amount">
            <summary>
            Discount amount
            打折总额
            </summary>
            <example>10.5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.discount_percent">
            <summary>
            Discount percentage
            打折百分比
            </summary>
            <example>5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.remark">
            <summary>
            Invoice line itemized remark
            交易行个例备注
            </summary>
            <example>invoice line itemized remark here</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedEntity.is_take_out">
            <summary>
            Whether this invoice line itemized is takeaway (takeout)
            此交易行个例是否是打包产品
            </summary>
            <example>false</example>
        </member>
        <member name="T:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity">
            <summary>
            Modifier object 
            修饰对象 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.id">
            <summary>
            Primary id
            主键值
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.invoice_itemized_id">
            <summary>
            Invoice itemized primary id (when item != combo)
            订单个例主键值 (当产品 != 套餐)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.invoice_combo_itemized_id">
            <summary>
            Invoice combo itemized primary id (when item = combo)
            订单个例主键值 (当产品 = 套餐)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.item_modifier_id">
            <summary>
            item modifier primary id
            产品修饰主键值
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.created_at">
            <summary>
            Create date and time
            创建时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedModifierEntity.updated_at">
            <summary>
            Update date and time
            更新时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedUserEntity.created_at">
            <summary>
            Create date and time
            创建时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceItemizedUserEntity.updated_at">
            <summary>
            Update date and time
            更新时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.id">
            <summary>
            Primary id
            主键值
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.invoice_id">
            <summary>
            Invoice object primary id
            发票主键值
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.item_id">
            <summary>
            Item object primary id
            产品主键值
            </summary>
            <example>5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.guid">
            <summary>
            guid (internal use)
            交易行唯一码 (内部使用)
            </summary>
            <example></example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.uom_type">
            <summary>
            unit of measure (1:quantity | 2:weight)
            产品衡量类型 (1:数量 | 2:重量)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.discount_calc_type">
            <summary>
            Discount calculation type (1:flat | 2:percentage)
            打折计算类型 (1:直减 | 2:百分比)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.discount_amount">
            <summary>
            Discount amount
            打折总额
            </summary>
            <example>10.5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.discount_percent">
            <summary>
            Discount percentage
            打折百分比
            </summary>
            <example>5</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.combo_actual_price">
            <summary>
            Combo actual price
            套餐实际价钱
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.subtotal">
            <summary>
            Invoice line subtotal 
            交易行小计总额
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.subtotal_point">
            <summary>
            Invoice line subtotal point
            交易行积分消费总额
            </summary>
            <example>308</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.subtotal_before_discount">
            <summary>
            Invoice line subtotal before discount
            未打折交易行小计总额
            </summary>
            <example>30.8</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.quantity">
            <summary>
            Invoice line quantity (equals to total count of itemized under this invoice)
            交易行总数量 (等于在此对象下面个例的总个数)
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.weight">
            <summary>
            Invoice line weight when uom = 2 (weight item only have one itemized)
            当uom = 2, 交易行总重量 (重量产品只有一个个例)
            </summary>
            <example>10.83</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.remark">
            <summary>
            Invoice line remark
            交易行备注
            </summary>
            <example>invoice line remark here</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.is_upsize">
            <summary>
            Whether this invoice line is up-size (only for combo item)
            交易行超值装
            </summary>
            <example>invoice line remark here</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.created_at">
            <summary>
            Create date and time
            创建时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.updated_at">
            <summary>
            Update date and time
            更新时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.is_take_out">
            <summary>
            Whether this invoice line is takeaway (takeout)
            此交易行是否是打包产品
            </summary>
            <example>false</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.InvoiceLineEntity.subtotal_without_takeout">
            <summary>
            Invoice line subtotal without takeaway items total
            订单行小计,不包括订单里打包产品
            </summary>
            <example>12</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.PaymentEntity.created_at">
            <summary>
            Create date and time
            创建时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Entities.PaymentEntity.updated_at">
            <summary>
            Update date and time
            更新时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="T:Revopos.Server.Domain.Entities.DbConn">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.ConfigModel.receipt_print_item_remark">
            <summary>
            enable/disable printing invoice item remark
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.Emenu.disable_soupbase_selection">
            <summary>
            enable/disable hotpot emenu soupbase selection
            </summary>
        </member>
        <!-- Badly formed XML comment ignored for member "M:Revopos.Server.Domain.Models.CustomerPurchaseHistoryModel.#ctor(Revopos.Server.Domain.Models.InvoiceModel)" -->
        <member name="P:Revopos.Server.Domain.Models.InvoiceComboItemizedModel.invoice_itemized_modifier">
            <summary>
            Invoice itemized modifier objects
            交易行个例修饰对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceComboItemizedModel.combo_item">
            <summary>
            Item combo object
            套餐产品对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceComboItemizedModel.state">
            <summary>
            Invoice combo itemized state (internal use)
            订单套餐个例状态 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.id">
            <summary>
            Primary id
            主键值
            </summary>
            <example>1</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.guid">
            <summary>
            guid (internal use)
            交易行个例唯一码 (内部使用)
            </summary>
            <example></example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.invoice_line_id">
            <summary>
            Invoice line primary id
            交易行主键值
            </summary>
            <example></example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.status">
            <summary>
            Invoice line itemized Status (only for KDS)
            交易行个例状态 (仅限厨显系统使用)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.action">
            <summary>
            Invoice line itemized action (only for KDS)
            交易行个例行动码 (仅限厨显系统使用)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.applied_rules">
            <summary>
            applied rule primary id list
            应用规则主键列表
            </summary>
            <example></example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.created_at">
            <summary>
            Create date and time
            创建时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedBase.updated_at">
            <summary>
            Update date and time
            更新时间
            </summary>
            <example>2022-02-15 22:29:52</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModel.state">
            <summary>
            Invoice itemized state (internal use)
            订单个例状态 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModel.invoice_itemized_modifier">
            <summary>
            Invoice itemized modifier objects
            交易行个例修饰对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModel.invoice_itemized_user">
            <summary>
            Invoice itemized user objects
            交易行个例操作员对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModel.invoice_ref_id">
            <summary>
            Invoice reference id (internal use)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModel.item">
            <summary>
            item object
            产品对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModifierModel.item_modifier">
            <summary>
            Modifier object 
            修饰对象 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceItemizedModifierModel.state">
            <summary>
            Invoice itemized modifier state (internal use)
            订单个例修饰状态 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceLineModel.state">
            <summary>
            Invoice line state (internal use)
            订单行状态 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceLineModel.item">
            <summary>
            Item object (internal use)
            产品对象 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceLineModel.invoice_itemized">
            <summary>
            Invoice line itemized object list
            交易行单品个例对象列表
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceLineModel.invoice_combo_itemized">
            <summary>
            Invoice line combo itemized object list
            交易行套餐个例对象列表
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceLineModel.discount_list">
            <summary>
            Invoice line discount object list
            交易行对象列表
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.device_id">
            <summary>
            Device primary id (internal use)
            发送设备主键 (内部使用)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.user_id">
            <summary>
            User primary id (internal use)
            操作员主键 (内部使用)
            </summary>
            <example>3</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.action">
            <summary>
            Action code (for action code table please refer https://developers.revopos.io)
            订单行动代码 (行动代码表请参考 https://developers.revopos.io)
            </summary>
            <example>2</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.state">
            <summary>
            Invoice state (internal use)
            订单状态 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.invoice_line">
            <summary>
            Invoice line 
            订单交易行
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.invoice_signature">
            <summary>
            Invoice customer signature
            订单客户签名
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.payment">
            <summary>
            Invoice payment objects
            订单支付对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.payment_history">
            <summary>
            Invoice history objects (internal use)
            订单历史记录对象 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.table_switch_id">
            <summary>
            Invoice switch table primary id (internal use)
            更换桌子主键 (内部使用)
            </summary>
            <example>2</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.customer_spend">
            <summary>
            customer purchased package redeemed object (internal use)
            客户预买兑换对象记录 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.reservation">
            <summary>
            invoice reservation (internal use)
            订单预定 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.timestamp">
            <summary>
            timestamp (internal use)
            时间戳 (内部使用)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.receipt_print_override">
            <summary>
            receipt print override (internal use)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.customer">
            <summary>
            Customer object associated with the invoice
            此订订单客户账户对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.voucher">
            <summary>
            Customer object associated with the invoice
            此订订单客户账户对象
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.device_uuid">
            <summary>
            device uuid generated by revopos clients (internal use)
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.is_duplicate">
            <summary>
            Whether the invoice is duplicate (internal use)
            </summary>
            <example>false</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.kitchen_print_override">
            <summary>
            To override kitchen print (internal use)
            </summary>
            <example>false</example>
        </member>
        <member name="P:Revopos.Server.Domain.Models.InvoiceModel.otp">
            <summary>
            SMS OTP to verify the customer account (in store use)
            短信验证码验证用户账户本人 (店内使用)
            </summary>
            <example>false</example>
        </member>
        <member name="T:Revopos.Server.Domain.Models.Repricing">
            <summary>
            pricing is invoice based, so it is not included in item list object by default
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.ResponseObjects.count">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.ResponseObjects.objects">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.ResponseObjects.error">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.Rule.name">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.Rule.alias">
            <summary>
            
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.Rule.code">
            <summary>
            order_by_pax
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.RuleItem.model">
            <summary>
            model type
            item / category
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.RuleItem.order_quota">
            <summary>
            order quota = 0 => unlimited
            </summary>
        </member>
        <member name="P:Revopos.Server.Domain.Models.SyncRequest.ids">
            <summary>
            customer ids
            </summary>
        </member>
        <member name="M:Revopos.Server.Domain.Models.TaskItemizedModel.#ctor(System.String,System.Boolean)">
            <summary>
            Generate first task
            </summary>
            <param name="result"></param>
        </member>
        <member name="M:Revopos.Server.Domain.Models.TaskItemizedModel.#ctor(Revopos.Server.Domain.Models.TaskModel,System.DateTime)">
            <summary>
            Generate New Task
            </summary>
            <param name="task"></param>
        </member>
    </members>
</doc>
